// g++ -std=c++11 Bag.cpp

#include "Bag.hpp"

#include <iostream>

int main ( int argc, char **argv ) {

    Bag<long> bag;

    long i;
    while ( ! std::cin.eof() ) {
        std::cin >> i;
        if ( std::cin.good() ) 
            bag.add(i);
        }

    std::cout << "Bag has " << bag.size() << " entries." << std::endl;

    for ( auto iter = bag.begin(); iter != bag.end(); ++iter ) {
        std::cout << *iter << std::endl;
        }

    }
