// Sedgewick and Wayne, Algorithms, 4th ed. problem 1.3.44

// Two stack implementation.  I don't know why anyone would actually want to use
// an implmentation like this, but it's what they suggested in the problem.  I
// guess it's just an "exercise" after all.


#ifndef BUFFER_HPP
#define BUFFER_HPP

#include <cstddef>

#include "Stack.hpp"

class Buffer {
public:
    Buffer( void );

    void insert( char c );
    char get( void );
    char delete( void );
    void left( size_t k );
    void right( size_t k );
    size_t size( void );

private:
    size_t cursor;

    bool use_s1;
    Stack<char> s1;
    Stack<char> s2;
    };

#endif
