// g++ -std=c++11 RandomBag.cpp

#include "RandomBag.hpp"

#include <iostream>

int main ( int argc, char **argv ) {

    RandomBag<long> random_bag;

    long i;
    while ( ! std::cin.eof() ) {
        std::cin >> i;
        if ( std::cin.good() ) 
            random_bag.add(i);
        }

    std::cout << "RandomBag has " << random_bag.size() << " entries." << std::endl;

    for ( auto iter = random_bag.begin(); iter != random_bag.end(); ++iter ) {
        std::cout << *iter << std::endl;
        }


    }
