// g++ -std=c++11 Steque.cpp


#include "Steque.hpp"

#include <iostream>

int main ( int argc, char **argv ) {

    Steque<long> steque;
    bool push_it = true;

    long i;
    while ( ! std::cin.eof() ) {
        std::cin >> i;
        if ( std::cin.good() )  {
            if ( push_it ) {
                steque.push( i );
                push_it = false;
                }
            else {
                steque.enqueue( i );
                push_it = true;
                }
            }
        }

    std::cout << "Steque has " << steque.size() << " entries." << std::endl;

    for ( auto iter = steque.begin(); iter != steque.end(); ++iter ) {
        std::cout << *iter << std::endl;
        }

    std::cout << "Popping entries..." << std::endl;

    while ( ! steque.is_empty() ) {
        i = steque.pop();
        std::cout << i << std::endl;
        }

    std::cout << "Steque has " << steque.size() << " entries." << std::endl;

    }
