// g++ -std=c++11 ResizingArrayStack.cpp


#include "ResizingArrayStack.hpp"

#include <iostream>

int main ( int argc, char **argv ) {

    ResizingArrayStack<long> stack;

    long i;
    while ( ! std::cin.eof() ) {
        std::cin >> i;
        if ( std::cin.good() ) 
            stack.push(i);
        }

    std::cout << "Stack has " << stack.size() << " entries." << std::endl;

    for ( auto iter = stack.begin(); iter != stack.end(); ++iter ) {
        std::cout << *iter << std::endl;
        }

    std::cout << "Popping entries..." << std::endl;

    while ( ! stack.is_empty() ) {
        i = stack.pop();
        std::cout << i << std::endl;
        }

    std::cout << "Stack has " << stack.size() << " entries." << std::endl;

    }

